## libsignon-glib 2.1

=== meson_options.txt ===
option('tests', type : 'boolean', description : 'Build with test support')
option('debugging', type : 'boolean', value: false, description : 'Printing of debug messages')
option('python', type : 'boolean', description : 'Build with python support')
option('py-overrides-dir', type : 'string', value : '', description: 'Path to pygobject overrides directory')
option('documentation', type : 'boolean', description : 'Generate the documentation of the library')
option('introspection', type : 'boolean', description : 'Build with the GObject introspection support')

## libsignon-glib 1.2+bzr127-0precise2

=== debian/changelog ===
libsignon-glib (1.2+bzr127-0precise2) precise; urgency=low

  * debian/control
    - Make libsignon-glib-dev depend on libdbus-glib-1-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 20 Jul 2012 14:17:01 -0400

libsignon-glib (1.2+bzr127-0precise1) precise; urgency=low

  * New snapshot tagged 1.2+bzr127
  * debian/libsignon-glib-dev.install
    - include vapi

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 17 Jul 2012 11:12:44 -0400

libsignon-glib (1.2+bzr126-0quantal1) quantal; urgency=low

  * rebuild for quantal

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 16 Jul 2012 10:03:16 -0400

libsignon-glib (1.2+bzr126-0precise3) precise; urgency=low

  * debian/rules
    - disable tests

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Jun 2012 22:36:05 -0400

libsignon-glib (1.2+bzr126-0precise2) precise; urgency=low

  * no change rebuild

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Jun 2012 16:56:01 -0400

libsignon-glib (1.2+bzr126-0precise1) precise; urgency=low

  * New snapshot tagged 1.2+bzr126

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 17 Apr 2012 11:13:57 -0400

libsignon-glib (1.1+bzr127-0precise6) precise; urgency=low

  * rebased on trunk

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Mar 2012 11:58:22 -0400

libsignon-glib (1.1+bzr127-0precise5) precise; urgency=low

  * debian/control, debian/rules
    - added -dbg package

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 26 Mar 2012 15:26:42 -0400

libsignon-glib (1.1+bzr127-0precise4) precise; urgency=low

  * debian/control
    - depend on signond

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Mar 2012 22:48:10 -0400

libsignon-glib (1.1+bzr127-0precise3) precise; urgency=low

  * debian/libsignon-glib1.install
    - fixed file conflict

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 19 Mar 2012 11:47:03 -0400

libsignon-glib (1.1+bzr127-0precise2) precise; urgency=low

  * merged packaging fixes 

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 17:00:22 -0400

libsignon-glib (1.1+bzr127-0precise1) precise; urgency=low

  * New snapshot r127
  * debian/control
    - added depends for libsignon-glib-dev on signond-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 15:25:58 -0400

libsignon-glib (1.1+bzr124-0precise2) precise; urgency=low

  * debian/rules
    - enable-gtk-doc build
  * debian/control, debian/libsignon-glib-doc.install
    - create new -doc package

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 03 Feb 2012 16:56:54 -0500

libsignon-glib (1.1+bzr124-0precise1) precise; urgency=low

  * New snapshot from trunk revision 124

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 31 Jan 2012 16:05:38 -0500

libsignon-glib (1.1-0precise1) precise; urgency=low

  * Initial package

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Dec 2011 13:02:46 -0500

=== debian/control ===
Source: libsignon-glib
Priority: optional
Maintainer: Ken VanDine <ken.vandine@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
               autotools-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgirepository1.0-dev,
               gobject-introspection,
               gir1.2-glib-2.0,
               dh-autoreconf,
               gtk-doc-tools,
               python (>= 2.6.5),
               python-gi-dev,
               check,
               dbus-test-runner,
               signond-dev (>= 8.40)
Standards-Version: 3.9.3
Section: libs
Homepage: https://launchpad.net/opensesame-libsignon-glib

Package: libsignon-glib-dev
Section: libdevel
Architecture: any
Depends: libsignon-glib1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev,
         libdbus-glib-1-dev,
         signond-dev
Description: library for signond - development files
 .
 This package contains files that are needed to build applications.

Package: libsignon-glib1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         signond
Description: library for signond
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-signon-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Signon library
 This package contains introspection data for the Signon library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsignon-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for signond - documentation
 .
 This package contains the documentation.

Package: libsignon-glib1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsignon-glib1 (= ${binary:Version}),
         ${misc:Depends}
Description: Signon library - Debug symbols
 .
 This package provides the debugging symbols for the libsignon-glib
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	rm debian/tmp/usr/lib/*.la
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	rm -rf debian/tmp/usr/doc/reference
	dh_install --fail-missing
	dh_python2 -pgir1.2-signon-1.0

override_dh_strip:
	dh_strip --dbg-package=libsignon-glib1-dbg

override_dh_auto_test:

%:
	dh $@ --with autoreconf,python2

## libsignon-glib 1.6

=== debian/changelog ===
libsignon-glib (1.6-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Aug 2012 09:33:04 -0400

libsignon-glib (1.5-0ubuntu2) quantal; urgency=low

  * debian/patches/py3.patch
    - support python3
  * debian/rules
    - install the GI override for both python2 and python3

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Aug 2012 13:24:12 -0400

libsignon-glib (1.5-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Port to GDBus (no API changes), removed dbus-glib dependency
  * debian/patches/gi_override.patch
    - dropped, merged upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 13 Aug 2012 10:17:27 -0400

libsignon-glib (1.4-0ubuntu2) quantal; urgency=low

  * debian/rules
    - run the tests during build
    - use dh_python3
  * debian/control
    - debhelper 9
    - added a build depends for signon-plugin-ssotest

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 15:28:10 -0400

libsignon-glib (1.4-0ubuntu1) quantal; urgency=low

  * New package
  * debian/patches/gi_override.patch
    - add python fixes still pending merge upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 11:09:37 -0400

=== debian/control ===
Source: libsignon-glib
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libglib2.0-dev,
               libgirepository1.0-dev,
               gobject-introspection,
               gir1.2-glib-2.0,
               dh-autoreconf,
               gtk-doc-tools,
               python (>= 2.6.5),
               python3,
               python3-gi,
               python-gi-dev,
               check,
               dbus-test-runner,
               signond-dev (>= 8.40),
               signon-plugin-ssotest
Standards-Version: 3.9.3
Section: libs
Homepage: http://code.google.com/p/accounts-sso/


Package: libsignon-glib-dev
Section: libdevel
Architecture: any
Depends: libsignon-glib1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libdbus-glib-1-dev,
         libglib2.0-dev,
         gir1.2-signon-1.0,
         signond-dev
Description: library for signond - development files
 .
 This package contains files that are needed to build applications.

Package: libsignon-glib1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         signond
Description: library for signond
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-signon-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Signon library
 This package contains introspection data for the Signon library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsignon-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for signond - documentation
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	# install the python3 gir override file as well
	PYTHON=python3 ./configure --prefix=/usr
	cd pygobject/ && DESTDIR=../debian/tmp make install && cd ..
	rm debian/tmp/usr/lib/*/*.la
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyc
	rm debian/tmp/usr/lib/python*/dist-packages/gi/overrides/*.pyo
	rm -rf debian/tmp/usr/doc/reference
	dh_install --fail-missing
	dh_python2 -pgir1.2-signon-1.0

%:
	dh $@ --with autoreconf,python2

## libsignon-glib 1.7

=== debian/changelog ===
libsignon-glib (1.7-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release.
    - Fixed handling of GValues of type G_TYPE_VARIANT (LP: #1066917)
  * debian/control
    - make gir1.2-signon-1.0 depend on libsignon-glib1

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 13 Nov 2012 12:39:17 -0500

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,8 @@
 Package: gir1.2-signon-1.0
 Section: libs
 Architecture: any
-Depends: ${gir:Depends},
+Depends: libsignon-glib1 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the Signon library
  This package contains introspection data for the Signon library.

## libsignon-glib 1.9

=== debian/changelog ===
libsignon-glib (1.9-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Invoke the callback when errors occur
    - Add NOCONFIGURE logic to autogen.sh
    - Fix the check for pyoverridesdir for python3
    - Fix a memory leak
  * -debian/patches/py3.patch: upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 06 Feb 2013 09:35:10 -0500

libsignon-glib (1.8-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Add signon_auth_session_process_async (using GAsyncResult and GVariant)
    - Tests: fix all memory leaks detected by valgrind
    - Set ID before invoking the client callback
    - Make tests optional at configure time
  * debian/libsignon-glib1.symbols
    - added new symbols
  * debian/libsignon-glib-dev.install
    - dropped the static lib, upstream has disabled static builds

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Jan 2013 10:31:51 -0500

libsignon-glib (1.7-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fixed handling of GValues of type G_TYPE_VARIANT (LP: #1066917)
  * debian/control
    - make gir1.2-signon-1.0 depend on libsignon-glib1

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 08 Nov 2012 12:42:04 -0500

=== debian/watch ===
version=3
http://code.google.com/p/accounts-sso/downloads/list .*/libsignon-glib-([0-9.]+).tar.gz

## libsignon-glib 1.12

=== debian/changelog ===
libsignon-glib (1.12-2) unstable; urgency=medium

  [ Rohan Garg ]
  * Fix install files

  [ Diane Trout ]
  * Change my address back to my personal account.
  * Add disable-deprecation-error.patch (Closes: #806156)
    Technically it's a work around.

 -- Diane Trout <diane@ghic.org>  Tue, 01 Dec 2015 12:13:31 -0800

libsignon-glib (1.12-1) unstable; urgency=medium

  * Initial Release.

 -- Diane Trout <diane@debian.org>  Sat, 19 Sep 2015 13:57:09 -0700

=== debian/control ===
Source: libsignon-glib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
	       dh-autoreconf,
	       gtk-doc-tools,
	       gobject-introspection,
	       libgirepository1.0-dev,
               libglib2.0-dev (>= 2.32),
	       signond-dev (>= 8.55),
Standards-Version: 3.9.6
#XS-Testsuite: autopkgtest
Homepage: https://gitlab.com/accounts-sso/libsignon-glib
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/libsignon-glib.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libsignon-glib.git

Package: libsignon-glib1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GLib Library for managing SSO credentials
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.

Package: libsignon-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libsignon-glib1 (= ${binary:Version}),
 gir1.2-signon-1.0,
 signond-dev
Description: development files for signon-glib sso API
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.
 .
 This provides development headers

Package: gir1.2-signon-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: typelib for libsignon-glib1
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0


Package: libsignon-glib-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libsignon-glib1 (= ${binary:Version}),
Description: debug files for libsignon-glib
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.
 .
 This provides debug files.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-Wall -pendantic
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

BUILD:=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	gtkdocize
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_install:
	rm debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libsignon-glib.la
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsignon-glib-dbg

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=(.*)/libsignon-glib-$1\.tar\.gz/ \
 https://gitlab.com/accounts-sso/libsignon-glib/tags \
  .*/archive\.tar\.gz\?ref=([\d.]+)

## libsignon-glib 2.1

=== debian/changelog ===
libsignon-glib (2.1-5) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch away from libgirepository1.0-dev. (Closes: #1118885)
  * Add from dev package to libgio-2.0-dev.
  * Add missing GIR Provides to the dev package.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Bump Standards-Version to 4.7.2, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 29 Oct 2025 17:19:04 +0100

libsignon-glib (2.1-4) unstable; urgency=medium

  * Team upload.
  * Update watch file due to GitLab changing URL pattern for source code
    package downloads.
  * Bump Standards-Version to 4.7.0, no change required.
  * Replace pkg-config with pkgconf.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 04 May 2024 08:50:08 +0200

libsignon-glib (2.1-3) unstable; urgency=medium

  * Team upload.
  * Remove the signond-dev dependency from libsignon-glib-dev, as it is not
    needed anymore (most probably since 1.15 already).

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 09:15:05 +0100

libsignon-glib (2.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Replace the patch optional-documentation.diff with upstream commit
    fc1098b3a376a04020c9e733eafda9fa0ac51723; patch
    upstream_build-make-documentation-really-optional.patch.
  * Use the dh-sequence-gir build dependency to replace the manual usage of
    the gir dh addon.
  * Remove unused/useless variables in rules.
  * Remove empty Upstream-Contact in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jan 2021 08:56:31 +0100

libsignon-glib (2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #968534)
  * Update the patches:
    - disable-deprecation-error.patch: drop, the upstream buildsystem does not
      set -Werror anymore
    - signon-dbus-specification-interfaces.diff: drop, the files are shipped
      now
    - fix-gtkdoc-comments.diff: drop, fixed upstream
  * Upstream switched buildsystem to meson, so:
    - add the meson, and python3-gi build dependencies
    - pass -Dtests=false to meson to keep the tests disabled for now
    - pass -Ddocumentation=false to meson to continue not building the
      documentation for now
    - drop the custom autoreconf, and clean steps
    - drop removal of the libtool .la file, as it does not exist anymore
  * Upstream bumped the SONAME to 2, so:
    - rename libsignon-glib1 to libsignon-glib2
    - rename gir1.2-signon-1.0 to gir1.2-signon-2.0
  * Update install files.
  * Use the in-sources D-Bus interfaces; patch fix-interfaces-path.diff.
  * Update symbols file.
  * Actually respect the 'documentation' option of the buildsystem; patch
    optional-documentation.diff.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 31 Dec 2020 15:41:16 +0100

libsignon-glib (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update the build dependencies according to the upstream build system:
    - bump libglib2.0-dev to 2.36
    - explicitly add pkg-config, and valac, already used
    - drop signond-dev, no more needed
  * Remove libsignon-glib-dbg in favour of the -dbgsym packages.
  * Update the patches:
    - remove-pluginlibdir.patch: drop, fixed upstream
    - disable-deprecation-error.patch: update
  * Statically import the D-Bus interfaces for now, as they are fetched using
    a Git submodule, which is not exported in tarballs created from GitLab;
    patch signon-dbus-specification-interfaces.diff. (Closes: #975793)
  * Fix few invalid gtk-doc comments; patch fix-gtkdoc-comments.diff.
  * Update install files.
  * Properly use the ${gir:Depends} substvar in gir1.2-signon-1.0.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop explicitly using the autoreconf dh addon, as it is used by default
    - remove the autotools-dev, and dh-autoreconf build dependencies
    - stop passing --list-missing to dh_install, as the default now is
      --fail-missing
  * Add Rules-Requires-Root: no.
  * Tighten gir1.2-signon-1.0 dependency in libsignon-glib-dev.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Switch from /usr/share/dpkg/default.mk to /usr/share/dpkg/architecture.mk,
    as we need bits only from the latter
    - drop the manual dpkg-architecture queries
  * Do not add -Wall -pendantic to the CFLAGS: the former is already used by
    the upstream buildsystem, the latter is not something we want to enforce
    in Debian builds
  * Drop commented XS-Testsuite field.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Build-Depends-Package in the symbols file.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Pino Toscano <pino@debian.org>  Thu, 31 Dec 2020 14:24:51 +0100

libsignon-glib (1.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build with -Werror. (Closes: #952060)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Apr 2020 10:42:59 +0300

=== debian/control ===
Source: libsignon-glib
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gtk-doc-tools,
               gobject-introspection,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               libglib2.0-dev (>= 2.36~),
               meson,
               pkgconf,
               python3-gi,
               valac,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/accounts-sso/libsignon-glib
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libsignon-glib
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libsignon-glib.git

Package: libsignon-glib2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GLib Library for managing SSO credentials
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.

Package: libsignon-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsignon-glib2 (= ${binary:Version}),
         gir1.2-signon-2.0 (= ${binary:Version}),
         libgio-2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${gir:Provides},
Description: development files for signon-glib sso API
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.
 .
 This provides development headers

Package: gir1.2-signon-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 ${gir:Depends},
Description: typelib for libsignon-glib2
 This is effectively a GLib binding for the D-Bus API
 provided by signond. It is part of the accounts-sso
 project.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=false -Ddocumentation=false

override_dh_strip:
	dh_strip --dbgsym-migration='libsignon-glib-dbg (<< 1.15-1~)'
